JoyStick_DeviceData Struct Reference

`#include <SDL_windowsjoystick_c.h>`

Collaboration diagram for JoyStick_DeviceData:
[legend]

## Data Fields

SDL_JoystickGUID | guid
char * | joystickname
Uint8 | send_add_event
SDL_JoystickID | nInstanceID
SDL_bool | bXInputDevice
BYTE | SubType
Uint8 | XInputUserId
DIDEVICEINSTANCE | dxdevice
struct JoyStick_DeviceData * | pNext

## Detailed Description

Definition at line 30 of file SDL_windowsjoystick_c.h.

## Field Documentation

SDL_bool JoyStick_DeviceData::bXInputDevice

Definition at line 36 of file SDL_windowsjoystick_c.h.

DIDEVICEINSTANCE JoyStick_DeviceData::dxdevice

Definition at line 39 of file SDL_windowsjoystick_c.h.

SDL_JoystickGUID JoyStick_DeviceData::guid

Definition at line 32 of file SDL_windowsjoystick_c.h.

char* JoyStick_DeviceData::joystickname

Definition at line 33 of file SDL_windowsjoystick_c.h.

SDL_JoystickID JoyStick_DeviceData::nInstanceID

Definition at line 35 of file SDL_windowsjoystick_c.h.

struct JoyStick_DeviceData* JoyStick_DeviceData::pNext

Definition at line 40 of file SDL_windowsjoystick_c.h.

Uint8 JoyStick_DeviceData::send_add_event

Definition at line 34 of file SDL_windowsjoystick_c.h.

BYTE JoyStick_DeviceData::SubType

Definition at line 37 of file SDL_windowsjoystick_c.h.

Uint8 JoyStick_DeviceData::XInputUserId

Definition at line 38 of file SDL_windowsjoystick_c.h.

The documentation for this struct was generated from the following file:

- src/joystick/windows/SDL_windowsjoystick_c.h